# 46. Mutation: 多層「ZonesMap」を非同期生成

複数のレイヤーに基づいて「ZonesMap」を非同期で生成します。

{% hint style="info" %}
非同期アプローチは処理するタスク（Generate「generateVectorAnalysisMap」）を生成し、処理が完了次第サブスクリプションが受信されます。
{% endhint %}

属性 `dataLayers` 結果の「ZonesMap」で利用するための各データレイヤーごとの必要な情報を含みます。属性 `係数` は記号を表し、 **重み** データレイヤーの。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateMultiLayerZonesMapAsync {
  generateMultiLayersVectorAnalysisMapAsync(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    numberOfZones:7
    name: "MultiYear f1.0 + LIDAR Slope f-0.5 + OM f0.5 + VolDr f0.2"
    dataLayers: [{
      factor: 1.0
      satelliteImageUuids: [
        "<placeholder_of_satelliteimage_uuid_1>",
	"<placeholder_of_satelliteimage_uuid_2>",
        "<placeholder_of_satelliteimage_uuid_3>",
        "<placeholder_of_satelliteimage_uuid_4>",
        "<placeholder_of_satelliteimage_uuid_5>",
        "<placeholder_of_satelliteimage_uuid_6>",
        "<placeholder_of_satelliteimage_uuid_7>",
        "<placeholder_of_satelliteimage_uuid_8>",
        "<placeholder_of_satelliteimage_uuid_9>",
        "<placeholder_of_satelliteimage_uuid_10>"
      ]
    	index: EVI2
    }, {
      factor: -0.5
      topographyMapUuid: "<placeholder_of_topographymap_uuid>"
    	topographyAttribute: slope
    }, {
      factor: 0.5
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
      soilAttribute: "Soil_OM___"
    }, {
      factor: 0.2
      yieldDatasetUuid: "<placeholder_of_yielddataset_uuid>"
      yieldAttribute: vol_d
    }]
  }) {    
    uuid 
    fieldUuid
    statusCode  
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/46-mutation-zonesmapwo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
